import constant from 'crocks/combinators/constant';
import noop from 'crocks/helpers/unit';

import {
  assertA11y,
  assertInstantiation,
  //  assertProperties,
  assertRenderWithHTML,
  getDefaultExport,
  setupTestWithInput,
} from '@forter/test-helpers';

import './fc-highlight';

const tagName = 'fc-highlight';

async function setupTest() {
  return setupTestWithInput({
    tagName,
    properties: await import(`../test/${this.test.parent.title}/input.json`)
      .then(getDefaultExport)
      .catch(constant({})),
    template: await import(`../test/${this.test.parent.title}/template.html`)
      .then(getDefaultExport)
      .catch(noop),
  });
}

async function assertRender() {
  const html = await import(`../test/${this.test.parent.title}/expected.html`)
    .then(getDefaultExport)
    .catch(constant(`Could Not Find Expected ShadowDOM for test "${this.test.parent.title}"`));
  return assertRenderWithHTML(html);
}

describe(tagName, function() {
  it('Instantiates without error', assertInstantiation(tagName));
  describe('default', function() {
    beforeEach(setupTest);
    it('passess basic a11y audit', assertA11y());
  });

  describe('when json', function() {
    beforeEach(setupTest);
    it('should render expected DOM', assertRender);
  });
});
