import { withKnobs, withWebComponentsKnobs } from '@open-wc/demoing-storybook';

import '../src';
import { FcHighlight } from '../src/FcHighlight';
import markdown from '../README.md';

import { markdownToStories } from '../../../lib/storybook-helpers';

export const {
  defaultProperties,
  html,
  bash,
  json,
  css,
	javascript,
	yaml,
	attrColor,
	tagColor,
	nullColor,
  valueColor
  // add attributes or properties names or css variables suffixes
  // example: --fc-fc-highlight-disabled-color as disabledColor
} = markdownToStories(FcHighlight, markdown);

export default {
  title: 'Data Components|Highlight',
  component: 'fc-highlight',
  decorators: [withKnobs, withWebComponentsKnobs],
  parameters: { options: { selectedPanel: 'storybookjs/knobs/panel' } },
};
